import * as ts from '@terascope/utils';
import * as i from './interfaces';
import { CoreContext } from './core-context';
export interface CachedClients {
    [prop: string]: any;
}
export interface TestClientConfig {
    type: string;
    create: i.ClientFactoryFn;
    config?: Record<string, any>;
    endpoint?: string;
}
export interface TestClientsByEndpoint {
    [endpoint: string]: any;
}
export interface TestClients {
    [type: string]: TestClientsByEndpoint;
}
export interface TestContextAPIs {
    setTestClients(clients: TestClientConfig[]): void;
    getTestClients(): TestClients;
}
export interface TestContextOptions<S> {
    name?: string;
    assignment?: any;
    clients?: TestClientConfig[];
    sysconfig?: ts.PartialDeep<i.FoundationSysConfig<S>>;
}
export declare class TestContext<S = Record<string, any>, A = Record<string, any>, D extends string = string> extends CoreContext<S, A & TestContextAPIs, D> {
    constructor(options?: TestContextOptions<S>);
}
//# sourceMappingURL=test-context.d.ts.map